Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0033263
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformminoralways2016-06-14 19:402016-08-11 18:40
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PriorityhighResolutionfixedFixed in Version3.0PR16Q4
StatusclosedFix in branchFixed in SCM revisiona4a7f3f30fe7
ProjectionnoneETAnoneTarget Version3.0PR16Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0033263: Implement Client Side Event Handler Extensions

DescriptionIt would be nice if it could be possible to execute some actions before/after some events fired from the client, for example, before/after saving a record.

This would be a similar concept to event handlers[1], but implemented on the client side which will allow to execute some actions that are not possible to be executed currently. For example:

- Show a custom info/success message after save
- Refresh the grid after save
- Open a new tab after save
- Perform some validations before save

Project Link: http://wiki.openbravo.com/wiki/Projects:Client_Side_Event_Handlers_Extension [^]


[1] http://wiki.openbravo.com/wiki/How_to_implement_a_business_event_handler [^]
Steps To ReproduceIn description
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0020074 newplatform Events returning success/info messages 
related to feature request 0028670 closedplatform Ability to refresh the grid after creating or updating a record in a tab 
related to feature request 00262353.0PR14Q3 closedguillermogil Refresh the grid after deleting a record in the user interface 
related to design defect 00241973.0MP26 closeddbaz Form is not refreshed after executing a business event handler for the Note entity 
related to feature request 0033976 closedplatform Implement Client Side Event Handler Pre Delete Action 

-  Notes
(0088571)
hgbot (developer)
2016-07-19 09:10

Repository: erp/devel/pi
Changeset: a4a7f3f30fe780f1a27e8aa45c74ffea7f724a20
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Tue Jul 19 09:04:46 2016 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/a4a7f3f30fe780f1a27e8aa45c74ffea7f724a20 [^]

fixes issue 33263: Implement Client Side Event Handler Extensions

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/ApplicationComponentProvider.java
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/ob-onchange-registry.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/ob-view-form.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-view.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-window.js
A modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-event-handler-registry.js
A modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-function-registry.js
---
(0088573)
caristu (developer)
2016-07-19 10:33
edited on: 2016-07-19 10:33

Developer's guide: http://wiki.openbravo.com/wiki/How_to_create_client_event_handler_actions [^]

(0088623)
alostale (developer)
2016-07-22 10:21

code reviewed and tested as part of project
(0089020)
hudsonbot (developer)
2016-08-11 18:40

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/edaa05b1fb18 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-06-14 19:40 caristu New Issue
2016-06-14 19:40 caristu Assigned To => platform
2016-06-14 19:40 caristu Modules => Core
2016-06-14 19:40 caristu Triggers an Emergency Pack => No
2016-06-14 19:40 caristu Description Updated View Revisions
2016-06-14 19:41 caristu Relationship added related to 0020074
2016-06-14 19:42 caristu Relationship added related to 0028670
2016-06-14 19:43 caristu Relationship added related to 0026235
2016-06-14 19:44 caristu Relationship added related to 0024197
2016-06-14 19:44 caristu Assigned To platform => caristu
2016-06-14 19:44 caristu Status new => scheduled
2016-06-17 10:25 caristu Description Updated View Revisions
2016-06-28 11:39 ngarcia Issue Monitored: ngarcia
2016-07-19 09:10 hgbot Checkin
2016-07-19 09:10 hgbot Note Added: 0088571
2016-07-19 09:10 hgbot Status scheduled => resolved
2016-07-19 09:10 hgbot Resolution open => fixed
2016-07-19 09:10 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/a4a7f3f30fe780f1a27e8aa45c74ffea7f724a20 [^]
2016-07-19 09:10 caristu Target Version => 3.0PR16Q4
2016-07-19 10:33 caristu Review Assigned To => alostale
2016-07-19 10:33 caristu Issue Monitored: alostale
2016-07-19 10:33 caristu Note Added: 0088573
2016-07-19 10:33 caristu Note Edited: 0088573 View Revisions
2016-07-22 10:21 alostale Note Added: 0088623
2016-07-22 10:21 alostale Status resolved => closed
2016-07-22 10:21 alostale Fixed in Version => 3.0PR16Q4
2016-08-11 18:40 hudsonbot Checkin
2016-08-11 18:40 hudsonbot Note Added: 0089020
2016-09-13 17:39 umartirena Relationship added related to 0033976


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker